<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="/tickets">Tickets</a></li>
      <li class="breadcrumb-item active" aria-current="page">Detail</li>
      <li class="breadcrumb-item active" aria-current="page">{{ticket.id}}</li>
    </ol>
  </nav>
  
    
  <div class="w-75 mx-auto">
      <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text" id="basic-addon1">Status</span>
          </div>
          <input value="{{getTicketStatus(ticket)}}" readonly type="text" class="form-control" placeholder="Status" aria-label="Status" aria-describedby="basic-addon1">
        </div>

        
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon1">Customer</span>
        </div>
        <input value="{{getCustomerName(ticket)}}" readonly type="text" class="form-control" placeholder="Customer" aria-label="Customer" aria-describedby="basic-addon1">
      </div>
      
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon1">Customer Phone</span>
        </div>
        <input value="{{getCustomerPhone(ticket)}}" readonly type="text" class="form-control" placeholder="Customer Phone" aria-label="Customer Phone" aria-describedby="basic-addon1">
      </div>

      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon1">Equipment</span>
        </div>
        <input value="{{ticket.equipment}}" readonly type="text" class="form-control" placeholder="Equipment" aria-label="Equipment" aria-describedby="basic-addon1">
      </div>

      <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text" id="basic-addon1">Equipment Brand</span>
          </div>
          <input value="{{ticket.equipmentBrand}}" readonly type="text" class="form-control" placeholder="Equipment Brand" aria-label="Equipment Brand" aria-describedby="basic-addon1">
        </div>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text" id="basic-addon1">Equipment Kind</span>
          </div>
          <input value="{{ticket.equipmentKind}}" readonly type="text" class="form-control" placeholder="Equipment Kind" aria-label="Equipment Kind" aria-describedby="basic-addon1">
        </div>
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon1">Issue</span>
        </div>
        <input value="{{ticket.issue}}" readonly type="text" class="form-control" placeholder="Issue" aria-label="Issue" aria-describedby="basic-addon1">
      </div>

        
      <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text" id="basic-addon1">Technical</span>
          </div>
          <input value="{{getTechnicalName(ticket)}}" readonly type="text" class="form-control" placeholder="Technical" aria-label="Technical" aria-describedby="basic-addon1">
        </div>
        
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon1">Created At</span>
        </div>
        <input readonly value="{{ticket.createdAt | date}}" type="text" class="form-control" placeholder="Created At" aria-label="Created At" aria-describedby="basic-addon1">
      </div>
  </div>

      
  
  <div class="w-75 mx-auto text-right">
      <a href="/ticket-edit/{{ticket.id}}" class="btn btn-warning btn-sm">Edit</a>&nbsp;
      <a href="/tickets" class="btn btn-danger btn-sm">Back to Tickets</a>
  </div>
    



  <hr>
  
  <div class="w-100 mx-auto text-right">
      <a href="/ticket-history-add/{{ticket.id}}" class="badge badge-primary">Add a new History</a>
  </div>
    
  <div class="w-10 mx-auto">
      <br><br>
      <table class="table table-striped">
        <thead>
          <tr>
            <th scope="col">ID</th>
            <th scope="col">Kind</th>
            <th scope="col">Description</th>
            <th scope="col">Technical</th>
            <th scope="col">Started At</th>
            <th scope="col">Ended At</th>
            <th scope="col">Actions</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let p of ticketHistorys; let i=index;">
            <th scope="row">{{p.id}}</th>        
            <td>{{getTicketHistoryKind(p)}}</td>
            <td><span>{{p.description}}</span></td>
            <td>{{getTechnicalName(p)}}</td>
            <td>{{p.startedAtDate | date}}<br>{{p.startedAtTime}}</td>
            <td>{{p.endedAtDate | date}}<br>{{p.endedAtTime}}</td>
            
            <td class="actions">
                <a class="btn btn-outline-secondary btn-sm" href="/ticket-history-edit/{{p.id}}" role="button">Edit</a>
                &nbsp;
                <button type="button" class="btn btn-outline-danger btn-sm" (click)="ticketHistoryDelete(p.id)">Remove</button>
                &nbsp;
                <a class="btn btn-info btn-sm" href="/ticket-details/{{p.id}}" role="button">Details</a>
            </td>
          </tr> 
        </tbody>
      </table>
    </div>